## tools.tar.bz2

=== requirements.txt ===
bokeh
docopt
iso8601
jinja2
numpy
pandas
pytest
pytest-logging
requests
scipy
scikit-learn
ujson
attrs

=== contentstats/assessor_ui/requirements.txt ===
Flask == 0.10.1
SQLAlchemy == 0.9.7

=== debian/changelog ===
yandex-recode (1.0-1) unstable; urgency=low

  * Yandex version of 'recode' utility. Initial release.

 -- Den Nagornov <den@yandex-team.ru>  Mon, 17 Jul 2006 20:55:38 +0400

=== steam/filestorage/debian/changelog ===
steam-filestorage (1.3.1+nmu2) unstable; urgency=low

  * Added getting images from avatars instead bodies from pools

 -- Dmitriy Scherbakov <jelyscs@yandex-team.ru>  Mon, 17 Aug 2015 13:37:20 +0300

steam-filestorage (1.3.1+nmu1) unstable; urgency=low

  * Added support of content links

 -- Dmitriy Scherbakov <jelyscs@yandex-team.ru>  Wed, 29 Jul 2015 16:47:57 +0300

steam-filestorage (1.3.0+nmu2) unstable; urgency=low

  * Moved files of packages from /place/steam

 -- Dmitriy Scherbakov <jelyscs@yandex-team.ru>  Mon, 13 Jul 2015 09:21:58 +0300

steam-filestorage (1.3.0+nmu1) unstable; urgency=low

  * Added support RCA tasks 

 -- Dmitriy Scherbakov <jelyscs@yandex-team.ru>  Mon, 13 Jul 2015 09:21:58 +0300

steam-filestorage (1.2.0+nmu4) unstable; urgency=low

  * Replace first/last and double spaces in load snippets

 -- Dmitriy Scherbakov <jelyscs@yandex-team.ru>  Tue, 17 Feb 2015 13:08:55 +0300

steam-filestorage (1.2.0+nmu3) unstable; urgency=low

  * Added by_link

 -- Alexander Bocharov <a-bocharov@yandex-team.ru>  Tue, 16 Dec 2014 18:46:35 +0300

steam-filestorage (1.2.0+nmu2) unstable; urgency=low

  * Added green urls with breadcrumbs

 -- Alexander Bocharov <a-bocharov@yandex-team.ru>  Wed, 19 Nov 2014 18:19:23 +0300

steam-filestorage (1.2.0+nmu1) unstable; urgency=low

  * Added logging in snippet_json_iterator

 -- Alexander Bocharov <a-bocharov@yandex-team.ru>  Wed, 24 Sep 2014 18:53:31 +0400

steam-filestorage (1.2.0) unstable; urgency=low

  * Added StoreJSONSnipPool
  * Added ExtraInfo, Headline, HilitedUrl, HeadlineSrc fields in
    StoreJSONSnipPool

 -- Alexander Bocharov <a-bocharov@yandex-team.ru>  Mon, 22 Sep 2014 20:01:10 +0400

steam-filestorage (1.0.0+nmu4) unstable; urgency=low

  * Added length for wilcoxon test

 -- Elena Dedova <evilenka@yandex-team.ru>  Tue, 15 Apr 2014 23:43:39 +0400

steam-filestorage (1.0.0+nmu3) unstable; urgency=low

  * Fixed storage.h for SWIG

 -- Elena Dedova <evilenka@yandex-team.ru>  Thu, 27 Mar 2014 17:20:20 +0400

steam-filestorage (1.0.0+nmu2) unstable; urgency=low

  * Added Strong to B tag transformation

 -- Elena Dedova <evilenka@yandex-team.ru>  Tue, 18 Mar 2014 18:52:49 +0400

steam-filestorage (1.0.0+nmu1) unstable; urgency=low

  * Added filter of big utf-8 symbols

 -- Alexander Bocharov <a-bocharov@yandex-team.ru>  Fri, 14 Feb 2014 13:28:10 +0400

steam-filestorage (1.0.0) unstable; urgency=low

  * Initial release

 -- teamcity <teamcity@yandex-team.ru>  Tue, 12 Nov 2013 15:28:04 +0400

=== steam/protos/debian/changelog ===
steam-protos (1.3.0+nmu3) unstable; urgency=low

  * Moved to deb packages python-protobuf26 and libprotobuf9

 -- Dmitriy Scherbakov <jelyscs@yandex-team.ru>  Thu, 16 Jul 2015 16:23:12 +0300

steam-protos (1.3.0+nmu2) unstable; urgency=low

  * Added required version (>= 2.6.1) to python-protobuf

 -- Dmitriy Scherbakov <jelyscs@yandex-team.ru>  Thu, 16 Jul 2015 15:48:33 +0300

steam-protos (1.3.0+nmu1) unstable; urgency=low

  * Moved files of packages from /place/steam

 -- Dmitriy Scherbakov <jelyscs@yandex-team.ru>  Mon, 13 Jul 2015 09:24:24 +0300

steam-protos (1.2.0) unstable; urgency=low

  * Added ExtraInfo, Headline, HilitedUrl, HeadlineSrc fields


 -- Alexander Bocharov <a-bocharov@yandex-team.ru>  Mon, 22 Sep 2014 19:52:08 +0400

steam-protos (1.0.1+nmu2) unstable; urgency=low

  * Added length field

 -- Elena Dedova <evilenka@yandex-team.ru>  Tue, 15 Apr 2014 20:08:58 +0400

steam-protos (1.0.1+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix for wrong repository 

 -- Elena Dedova <evilenka@yandex-team.ru>  Thu, 30 Jan 2014 14:51:26 +0400

steam-protos (1.0.1) unstable; urgency=low

  * Initial release
  * Fixed dependencies

 -- teamcity <teamcity@yandex-team.ru>  Fri, 15 Nov 2013 19:08:04 +0400

=== steam/pyhtml_snapshot/debian/changelog ===
steam-html-snapshot (1.0.0) unstable; urgency=low

  * Initial release

 -- Elena Dedova <evilenka@yandex-team.ru>  Tue, 03 Jun 2014 14:41:39 +0400

=== steam/serp_downloader/debian/changelog ===
steam-downloader (1.0.0+nmu5) unstable; urgency=low

  * Moved files of packages from /place/steam

 -- Dmitriy Scherbakov <jelyscs@yandex-team.ru>  Mon, 13 Jul 2015 09:37:52 +0300

steam-downloader (1.0.0+nmu4) unstable; urgency=low

  * Fixed SERP downloader to use hamster host by default.

 -- Elena Dedova <evilenka@yandex-team.ru>  Fri, 12 Dec 2014 17:46:28 +0300

steam-downloader (1.0.0+nmu3) unstable; urgency=low

  * Misterious space fixes. 

 -- Elena Dedova <evilenka@yandex-team.ru>  Thu, 28 Nov 2013 17:44:45 +0400

steam-downloader (1.0.0+nmu2) unstable; urgency=low

  * New logger.

 -- Elena Dedova <evilenka@yandex-team.ru>  Wed, 27 Nov 2013 11:47:30 +0400

steam-downloader (1.0.0+nmu1) unstable; urgency=low

  * Changed logger place

 -- Alexander Bocharov <a-bocharov@yandex-team.ru>  Thu, 21 Nov 2013 14:16:47 +0400

steam-downloader (1.0.0) unstable; urgency=low

  * Initial release

 -- teamcity <teamcity@yandex-team.ru>  Tue, 12 Nov 2013 15:28:04 +0400

=== steam/service/debian/changelog ===
steam-site (2.0.2+nmu5) unstable; urgency=low

  * Change prod and testing database to localhost.

 -- Egor Schelkonogov <egorshelk@yandex-team.ru>  Mon, 02 Nov 2015 19:00:39 +0500

steam-site (2.0.2+nmu4) unstable; urgency=low

  * Fixed show mediacontent to steam-aa

 -- Dmitriy Scherbakov <jelyscs@yandex-team.ru>  Wed, 26 Aug 2015 16:02:23 +0300

steam-site (2.0.2+nmu3) unstable; urgency=low

  * Changed postinst script - change owner only if needed

 -- Dmitriy Scherbakov <jelyscs@yandex-team.ru>  Thu, 20 Aug 2015 17:40:24 +0300

steam-site (2.0.2+nmu2) unstable; urgency=low

  * Fixed error with indentation in not used code

 -- Dmitriy Scherbakov <jelyscs@yandex-team.ru>  Thu, 20 Aug 2015 15:19:33 +0300

steam-site (2.0.2+nmu1) unstable; urgency=low

  * Changed to relay smtp server

 -- Dmitriy Scherbakov <jelyscs@yandex-team.ru>  Thu, 20 Aug 2015 14:46:44 +0300

steam-site (2.0.1+nmu8) unstable; urgency=low

  * Changed address of avatars to production

 -- Dmitriy Scherbakov <jelyscs@yandex-team.ru>  Wed, 19 Aug 2015 16:11:00 +0300

steam-site (2.0.1+nmu7) unstable; urgency=low

  * Changed configs: move ASK_ANG_TASKPOOL_AVAILABILITY from core/settings.py
    to ui/settings.py (its for set this to False in testing servers)

 -- Dmitriy Scherbakov <jelyscs@yandex-team.ru>  Mon, 17 Aug 2015 19:31:17 +0300

steam-site (2.0.1+nmu6) unstable; urgency=low

  * Added getting images from avatars instead bodies from pools

 -- Dmitriy Scherbakov <jelyscs@yandex-team.ru>  Mon, 17 Aug 2015 13:00:29 +0300

steam-site (2.0.1+nmu4) unstable; urgency=low

  * Corrected deleting snippets while delete taskpools

 -- Dmitriy Scherbakov <jelyscs@yandex-team.ru>  Wed, 12 Aug 2015 12:21:17 +0300

steam-site (2.0.1+nmu3) unstable; urgency=low

  * Corrected depends from yandex-search-steam-config to >= 0.30

 -- Dmitriy Scherbakov <jelyscs@yandex-team.ru>  Wed, 05 Aug 2015 15:43:45 +0300

steam-site (2.0.1+nmu2) unstable; urgency=low

  * Corrected monitorings for GlasterFS (monitoring contents of storage)

 -- Dmitriy Scherbakov <jelyscs@yandex-team.ru>  Fri, 31 Jul 2015 18:47:37 +0300

steam-site (2.0.1+nmu1) unstable; urgency=low

  * Added support of content links

 -- Dmitriy Scherbakov <jelyscs@yandex-team.ru>  Wed, 29 Jul 2015 16:42:57 +0300

steam-site (2.0.0+nmu7) unstable; urgency=low

  * Added checker variables from database (in /health)

 -- Dmitriy Scherbakov <jelyscs@yandex-team.ru>  Tue, 28 Jul 2015 11:18:44 +0300

steam-site (2.0.0+nmu6) unstable; urgency=low

  * Fixed not relevant configs 

 -- Dmitriy Scherbakov <jelyscs@yandex-team.ru>  Wed, 22 Jul 2015 12:15:26 +0300

steam-site (2.0.0+nmu5) unstable; urgency=low

  * Added dependence from yandex-search-steam-config (config nginx and cron)

 -- Dmitriy Scherbakov <jelyscs@yandex-team.ru>  Wed, 22 Jul 2015 10:10:06 +0300

steam-site (2.0.0+nmu4) unstable; urgency=low

  * Changed ang communications: added new type task (STEAM_ESTIM_RCA)
  * Fixed errors in validation forms
  * Corrected statistics (whole and for user)

 -- Dmitriy Scherbakov <jelyscs@yandex-team.ru>  Tue, 21 Jul 2015 10:09:13 +0300

steam-site (2.0.0+nmu3) unstable; urgency=low

  * Changed configs: Set no ask ANG about taskpools for assessors (development, testing)
  * Changed prod database to prod-steam-dbm.search.yandex.net
  * Deleted ashishkin from admins

 -- Dmitriy Scherbakov <jelyscs@yandex-team.ru>  Thu, 16 Jul 2015 14:42:41 +0300

steam-site (2.0.0+nmu2) unstable; urgency=low

  * Moved files of packages from /place/steam

 -- Dmitriy Scherbakov <jelyscs@yandex-team.ru>  Mon, 13 Jul 2015 09:17:37 +0300

steam-site (2.0.0+nmu1) unstable; urgency=low

  * Added support RCA tasks 

 -- Dmitriy Scherbakov <jelyscs@yandex-team.ru>  Mon, 13 Jul 2015 09:13:19 +0300

steam-site (1.3.0+nmu9) unstable; urgency=low

  * hotfix: change ang host to http://ang-back.yandex-team.ru 

 -- Dmitriy Scherbakov <jelyscs@yandex-team.ru>  Wed, 18 Mar 2015 13:58:29 +0300

steam-site (1.3.0+nmu8) unstable; urgency=low

  * Correcting percentage in statistics
  * Increment year in copyright

 -- Dmitriy Scherbakov <jelyscs@yandex-team.ru>  Mon, 16 Mar 2015 16:13:43 +0300

steam-site (1.3.0+nmu7) unstable; urgency=low

  * Added colomns Comment and Correction date to asessors interface 
  * Added 'Has comment' to statistics for analist 
  * Corrected statistics of estimations
  * Corrected max size of checking part in assessors task pack

 -- Dmitriy Scherbakov <jelyscs@yandex-team.ru>  Wed, 04 Mar 2015 20:48:10 +0300

steam-site (1.3.0+nmu6) unstable; urgency=low

  * Fix for caption in table

 -- Elena Dedova <evilenka@yandex-team.ru>  Thu, 06 Nov 2014 19:29:57 +0300

steam-site (1.3.0+nmu5) unstable; urgency=low

  * Added 'Undo last split' button
  * Added estimation change in view stage

 -- Elena Dedova <evilenka@yandex-team.ru>  Wed, 05 Nov 2014 18:39:21 +0300

steam-site (1.3.0+nmu4) unstable; urgency=low

  * Fix in timestamp calculation

 -- Elena Dedova <evilenka@yandex-team.ru>  Thu, 30 Oct 2014 14:46:35 +0300

steam-site (1.3.0+nmu3) unstable; urgency=low

  * Added setting for cookies

 -- Elena Dedova <evilenka@yandex-team.ru>  Wed, 29 Oct 2014 19:09:50 +0300

steam-site (1.3.0+nmu2) unstable; urgency=low

  * Auth fix from trunk
  * Added view content closing

 -- Elena Dedova <evilenka@yandex-team.ru>  Tue, 28 Oct 2014 19:51:32 +0300

steam-site (1.3.0+nmu1) unstable; urgency=low

  * Fix in docid range
  * Reject fixes

 -- Elena Dedova <evilenka@yandex-team.ru>  Fri, 24 Oct 2014 11:23:29 +0400

steam-site (1.3.0) unstable; urgency=low

  * Page segmentation interface pre-stable release

 -- Elena Dedova <evilenka@yandex-team.ru>  Wed, 22 Oct 2014 16:00:28 +0400

steam-site (1.2.0+nmu13) unstable; urgency=low

  * Fixed "by link" rendering

 -- Alexander Bocharov <a-bocharov@yandex-team.ru>  Tue, 16 Dec 2014 19:47:14 +0300

steam-site (1.2.0+nmu12) unstable; urgency=low

  * Fixed SERP downloader to use hamster hosts.



=== debian/control ===
Source: yandex-recode
Section: yandex
Priority: optional
Maintainer: Den Nagornov <den@yandex-team.ru>
Build-Depends: yandex-pmake (>= 1.0-1), debhelper (>= 4.0.0)
Standards-Version: 3.6.2

Package: yandex-recode
Architecture: i386
Depends: libc6 (>= 2.3.2), libstdc++5 (>=3.3.0)
Description: Yandex version of 'recode' utility.
 The utility supports all yandex compatible charsets and includes
 primitive failsafe technique for incorrect characters.

=== steam/filestorage/debian/control ===
Source: steam-filestorage
Section: yandex
Priority: optional
Maintainer: Ivan Kryukov <my34@scrooge.yandex.ru>
Build-Depends: debhelper (>= 7.0.0)
Standards-Version: 3.9.3

Package: steam-filestorage
Architecture: any
Depends: steam-protos (>=1.0.0), ${shlibs:Depends}, ${misc:Depends}
Description: Steam filestorage
 Git like filesystem for steam

=== steam/protos/debian/control ===
Source: steam-protos
Section: yandex
Priority: optional
Maintainer: Ivan Kryukov <my34@scrooge.yandex.ru>
Build-Depends: debhelper (>= 7.0.0)
Standards-Version: 3.9.3

Package: steam-protos
Architecture: any
Depends: libprotobuf9, python-protobuf-26 (>= 2.6.1-3)
Description: Steam protobuf lib
 Required in steam storage

=== steam/pyhtml_snapshot/debian/control ===
Source: steam-html-snapshot
Section: yandex
Priority: optional
Maintainer: Elena Dedova <evilenka@yandex-team.ru>
Build-Depends: debhelper (>= 7.0.0)
Standards-Version: 3.9.3

Package: steam-html-snapshot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Steam html snapshot library
 Library for fetching and rewriting htmls

=== steam/serp_downloader/debian/control ===
Source: steam-downloader
Section: yandex
Priority: optional
Maintainer: Ivan Kryukov <my34@scrooge.yandex.ru>
Build-Depends: debhelper (>= 7.0.0)
Standards-Version: 3.9.3

Package: steam-downloader
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Steam serp downloader
 Support ANG api

=== steam/service/debian/control ===
Source: steam-site
Section: yandex
Priority: optional
Maintainer: Ivan Kryukov <my34@scrooge.yandex.ru>
Build-Depends: debhelper (>= 7.0.52)
Standards-Version: 3.9.3
XS-Python-Version: >= 2.7

Package: steam-site
Architecture: any
Depends: steam-protos (>= 1.0.1),
 steam-filestorage (>= 1.0.0),
 steam-downloader (>= 1.0.0),
 python-setuptools,
 python-django-1.5,
 python-django-yauth (= 3.30),
 python-django-alive,
 python-django-template-common,
 python-django-south,
 python-mysqldb,
 yandex-dh-clearvcs,
 yandex-environment-intranet,
 yandex-geodata-binary-getter3,
 yandex-search-steam-config (>= 0.30),
 libgeobase3,
 libgeobase3-python,
 python-gunicorn,
 python-celery (>= 3.1.7),
 python-django-celery (>= 3.1.1),
 python-requests (>= 1.1.0),
 python-dateutil,
 python-tz,
 rabbitmq-server,
 nginx (>= 1.2.1),
 uwsgi (>= 1.0.3),
 uwsgi-plugin-python,
 gettext,
 ubic
Description: Steam site
 Django-celery-powered webui
XB-Python-Version: >= 2.7

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1



MAKE=pmake
CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

build: build-stamp

build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/yandex-recode.
	$(MAKE) install CURDIR=$(CURDIR) DESTDIR=$(CURDIR)/debian/tmp DEBIAN_PACKAGE=yes


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install --sourcedir=debian/tmp
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

=== steam/filestorage/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# vim: wrap
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


ARCADIA_ROOT=../../../..
BUILD_DIR=$(ARCADIA_ROOT)/../build/release/tools/snipmake/steam/filestorage
PLACE_DIR=$(CURDIR)/debian/steam-filestorage/usr/share/pyshared/steam/core/hard

build: build-stamp
build-stamp:
	dh_testdir
	# Add here commands to compile the package.
	$(ARCADIA_ROOT)/cmake/om/om-from-here.py release
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	dh_clean


install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	mkdir -p $(PLACE_DIR)
	install $(BUILD_DIR)/filestorage.py $(PLACE_DIR)/filestorage.py
	install $(BUILD_DIR)/libfilestorage.so $(PLACE_DIR)/libfilestorage.so

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_install  --sourcedir=debian/tmp
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== steam/protos/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# vim: wrap
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


ARCADIA_ROOT=../../../..
BUILD_DIR=$(ARCADIA_ROOT)/../build/release/tools/snipmake/steam/protos
PLACE_DIR=$(CURDIR)/debian/steam-protos/usr/share/pyshared/steam/core/hard

build: build-stamp
build-stamp:
	dh_testdir
	# Add here commands to compile the package.
	$(ARCADIA_ROOT)/cmake/om/om-from-here.py release
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	dh_clean


install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	mkdir -p $(PLACE_DIR)
	install $(BUILD_DIR)/steam_pb2.py $(PLACE_DIR)/steam_pb2.py
	install $(CURDIR)/steam.proto $(PLACE_DIR)/steam.proto

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_install  --sourcedir=debian/tmp
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== steam/pyhtml_snapshot/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# vim: wrap
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


ARCADIA_ROOT=../../../..
BUILD_DIR=$(ARCADIA_ROOT)/../build/release/tools/snipmake/steam/pyhtml_snapshot
PLACE_DIR=$(CURDIR)/debian/steam-html-snapshot/usr/lib
PROTO_PLACE_DIR=$(CURDIR)/debian/steam-html-snapshot/place/steam/protos

build: build-stamp
build-stamp:
	dh_testdir
	# Add here commands to compile the package.
	$(ARCADIA_ROOT)/cmake/om/om-from-here.py release
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	dh_clean


install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	mkdir -p $(PLACE_DIR)
	mkdir -p $(PROTO_PLACE_DIR)
	install $(BUILD_DIR)/pyhtml_snapshot.py $(PLACE_DIR)/pyhtml_snapshot.py
	install $(BUILD_DIR)/libpyhtml_snapshot.so $(PLACE_DIR)/libpyhtml_snapshot.so
	install $(BUILD_DIR)/protos/cache_record_pb2.py $(PROTO_PLACE_DIR)/cache_record_pb2.py

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_install  --sourcedir=debian/tmp
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== steam/serp_downloader/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# vim: wrap
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


PLACE_DIR=$(CURDIR)/debian/steam-downloader/usr/share/pyshared/steam/core/hard

build: build-stamp
build-stamp:
	dh_testdir
	# Add here commands to compile the package.
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	# Add here commands to clean up after the build process.
	dh_clean


install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	mkdir -p $(PLACE_DIR)
	install $(CURDIR)/*.py $(PLACE_DIR)/

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_install  --sourcedir=debian/tmp
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== steam/service/debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# vim: wrap
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
#export DH_OPTIONS=-v

DESTDIR=$(CURDIR)/debian/steam-site

DH := dh --with=python-central \
	--with=environment \
	--no-start \
	--no-restart \
	--fail-missing \

%:
	$(DH) $@

override_dh_auto_test:

override_dh_auto_clean:
	dh_auto_clean
	dh_auto_clean --buildsystem=python_distutils --sourcedirectory=site
	rm -rf site/*.egg-info/

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --buildsystem=python_distutils --destdir=$(DESTDIR) --sourcedirectory=site

override_dh_link:
	dh_link
	#dh_clearvcs
